#!/bin/sh
case "$1" in
    start)
		echo "Starting video downloader"
		mkdir -p /var/run/video-downloader
		mkdir -p /volume1/.@tmp/takeasy
		for user in `ls /usr/local/AppCentral/takeasy/etc/subscription-*.json`
		do
			iid=`echo ${user}|sed "s/\/usr\/local\/AppCentral\/takeasy\/etc\/subscription-\(.*\)\.json/\1/"`
			/usr/local/AppCentral/takeasy/daemon/vd_daemon iid=${iid}
		done
        ;;
    stop)
		echo "Stoping video downloader"
		killall -TERM vd_daemon 2 > /dev/null
		sleep 3
		killall -9 vd_daemon 2 > /dev/null
		rm -rf /var/run/video-downloader
		;;
    restart)
        echo "Restarting video downloader"
        $0 stop
        $0 start
        ;;
    *)
        echo "usage: $0 {start|stop|restart}"
        exit 2
        ;;
esac

exit 0

